Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.util
Class Primitives

    java.lang.Object
      org.mockito.internal.util.Primitives

    public class Primitives

extends java.lang.Object

Constructor Summary
`Primitives()`

Method Summary
`static
`<T> T`
` | `defaultValueForPrimitiveOrWrapper(java.lang.Class<T> primitiveOrWrapperType)` Returns the boxed default value for a primitive or a primitive wrapper.
`static boolean` | `isPrimitiveOrWrapper(java.lang.Class<?> type)` Indicates if the given class is primitive type or a primitive wrapper.
`static
`<T> java.lang.Class<T>`
` | `primitiveTypeOf(java.lang.Class<T> clazz)` Returns the primitive type of the given class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Primitives

    public Primitives()

Method Detail

### primitiveTypeOf

    public static <T> java.lang.Class<T> primitiveTypeOf(java.lang.Class<T> clazz)

  Returns the primitive type of the given class.

  The passed class can be any class : `boolean.class`, `Integer.class` in witch case this method will return `boolean.class`, even `SomeObject.class` in which case `null` will be returned.

  Type Parameters:
    `T` - The type
  Parameters:
    `clazz` - The class from which primitive type has to be retrieved
  Returns:
    The primitive type if relevant, otherwise `null`

### isPrimitiveOrWrapper

    public static boolean isPrimitiveOrWrapper(java.lang.Class<?> type)

  Indicates if the given class is primitive type or a primitive wrapper.

  Parameters:
    `type` - The type to check
  Returns:
    `true` if primitive or wrapper, `false` otherwise.

### defaultValueForPrimitiveOrWrapper

    public static <T> T defaultValueForPrimitiveOrWrapper(java.lang.Class<T> primitiveOrWrapperType)

  Returns the boxed default value for a primitive or a primitive wrapper.

  Parameters:
    `primitiveOrWrapperType` - The type to lookup the default value
  Returns:
    The boxed default values as defined in Java Language Specification, `null` if the type is neither a primitive nor a wrapper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD